Name: i810switch
Version: 0.6.2
Release: 0.fdr.3.rh90
Epoch: 0
Summary: A utility for switching the LCD and external VGA displays on and off
Group: User Interface/X Hardware Support
License: GPL
URL: http://vorfgglon.cwru.edu/~ames/i810switch/
Source0: http://vorlon.cwru.edu/~ames/i810switch/i810switch-0.6.2.tar.gz
Patch0: i810switch-0.6.2.makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: pciutils

%description 
i810switch is a utility for switching the LCD and external VGA
displays on and off under Linux. It was originally written by Antonino
Daplas, and is now maintained by Ken Mano.

%prep
%setup -q
%patch -p1 -b .buildroot 

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{!?makeinstall: %define makeinstall make install DESTDIR=$RPM_BUILD_ROOT bindir=$RPM_BUILD_ROOT%{_bindir} mandir=$RPM_BUILD_ROOT%{_mandir} }

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO ChangeLog INSTALL
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Jan 18 2005 David Kaplan <dmk@localhost.localdomain> - 0:0.6.2-0.fdr.3
- Added back INSTALL file to rpm because it explains how to SUID root
  the executable so that all users can use i810switch.

* Thu Jan 13 2005 David Kaplan <dmk@localhost.localdomain> - 0:0.6.2-0.fdr.2
- Minor spec file fixes and addition of optimization flags to CFLAGS

* Tue Jan 11 2005 David Kaplan <dmk@localhost.localdomain> - 0:0.6.2-0.fdr.1
- Initial build of i810switch

